embedXcode - MPIDE on Xcode

ajit.track
Posts: 6
Joined: Fri Nov 29, 2013 11:10 am

Re: MPIDE on Xcode 4.2

Post by ajit.track » Fri Nov 29, 2013 3:29 pm

majenko wrote:Do you have X-Code 4 or X-Code 5? I.e., which version of OS/X does your Macintosh run?

i dont have any thing before. I downloaded 4 mb file that show without donate option

avenue33
Site Admin
Posts: 298
Joined: Sat Jul 16, 2011 10:19 am
Contact:

Re: MPIDE on Xcode 4.2

Post by avenue33 » Fri Nov 29, 2013 3:50 pm

ajit.track wrote:I tried to download but it is not providing executable file
This is for Mac OS X, not Windows.

avenue33
Site Admin
Posts: 298
Joined: Sat Jul 16, 2011 10:19 am
Contact:

Re: MPIDE on Xcode 4.2

Post by avenue33 » Sun Dec 01, 2013 8:59 pm

Read The Fabulous Manual available as an :arrow: e-book and a :arrow: PDF.

Image

Adonosonix
Posts: 20
Joined: Sun Dec 01, 2013 7:29 pm

Re: MPIDE on Xcode 4.2

Post by Adonosonix » Sun Dec 01, 2013 10:00 pm

Hi,

I have created a new workspace, with a new project for Chipkit Uno 32. After the project was created, I launched the build phase to set everything up, just as indicated in the documentation, and I get tons of errors.

Many are in the form:

relocation truncated to fit: R_MIPS_GPREL16 against `myLED'
I am using Mpide.app version 0023. How can I fix this?

avenue33
Site Admin
Posts: 298
Joined: Sat Jul 16, 2011 10:19 am
Contact:

Re: MPIDE on Xcode 4.2

Post by avenue33 » Sun Dec 01, 2013 10:04 pm

Have you tried the standard example?

Could you please tell which release of MPIDE you're using, as the standard example compiles and runs fine with my chipKIT Uno board.

Adonosonix
Posts: 20
Joined: Sun Dec 01, 2013 7:29 pm

Re: MPIDE on Xcode 4.2

Post by Adonosonix » Sun Dec 01, 2013 10:24 pm

I am using :

- Mpide 0023
– Xcode 5.02
– The latest version of Embed Xcode (just downloaded it. Is it 115?) but I got the same error with the previous version.
– I also have the arduino IDE 1.0.5 installed on my computer.

The project is a brand new "Embed Xcode sketch". I have selected chip kit Uno32 and .ino extension.
Once the project was created, I did run build.

Note: When I try to run index, I get the error below and tons of warnings.:
"Argument list too long: recursive header expansion failed at /Applications/ARDUINO/Mpide.app/Contents/Resources/Java/hardware/pic32/libraries/Servo."

Adonosonix
Posts: 20
Joined: Sun Dec 01, 2013 7:29 pm

Re: MPIDE on Xcode 4.2

Post by Adonosonix » Sun Dec 01, 2013 10:33 pm

I can't see my posts, so I can't edit them, but I would like to add that using the .pde extension also fails with the same error.

avenue33
Site Admin
Posts: 298
Joined: Sat Jul 16, 2011 10:19 am
Contact:

Re: MPIDE on Xcode 4.2

Post by avenue33 » Sun Dec 01, 2013 10:43 pm

Have you run MPIDE once to set the sketchbook folder?

Arduino 1.5.x is still in beta, hence some issues with the libraries.

By default, embedXcode compiles all the libraries.

Proceed as follow:
  • Create a new embedXcode project.
  • Edit the makefile with

Code: Select all

APP_LIBS_LIST = 0
USER_LIBS_LIST = 0
  • Launch Build
Please refer to chapter 4 Build and Upload the Project section 2 Manage the Libraries for Compilation for more details.

Adonosonix
Posts: 20
Joined: Sun Dec 01, 2013 7:29 pm

Re: MPIDE on Xcode 4.2

Post by Adonosonix » Sun Dec 01, 2013 10:50 pm

Thank you for your reply.

I had:

Code: Select all

APP_LIBS_LIST = 
USER_LIBS_LIST = 
I changed it for:

Code: Select all

APP_LIBS_LIST = 0
USER_LIBS_LIST = 0
Unfortunately, it makes no difference.

Also, though I have installed version 115 of embedXcode, I still get the upgrade message telling me that I have version 112, even on new projects.

i have installed version 115, restarted the computer. re-installed it several times over with Xcode open or closed, restarted. Created several new workspaces and projects… nothing works. It still tels me to upgrade to 115, and it won't compile a brand new, unmodified chip kit project.

the mpide works fine. I have set the sketchbook folder. Where should it point to? I made it point to my devel folder. The one that contains all my Xcode projects.

What does relocation truncated to fit: R_MIPS_GPREL16 against `myLED' mean anyway?

avenue33
Site Admin
Posts: 298
Joined: Sat Jul 16, 2011 10:19 am
Contact:

Re: MPIDE on Xcode 4.2

Post by avenue33 » Sun Dec 01, 2013 11:50 pm

Which version of MPIDE are you using?

Under the same number 0023 there are different releases. embedXcode works fine with 0023-macosx-20120903

See file /Applications/Mpide.app/Contents/Resources/Java/lib/version.txt as the About... window is hard to read.

Image

Post Reply